Get Patients In Window
curl --request GET \
--url https://api.decodahealth.com/appointments/in-window \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/appointments/in-window"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/appointments/in-window', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"type": "PATIENT",
"locationId": "<string>",
"dateOfBirth": "2023-12-25",
"onSchedulingBlacklist": true
},
"appointments": [
{
"eventId": "<string>",
"appointmentStart": "2023-11-07T05:31:56Z",
"appointmentEnd": "2023-11-07T05:31:56Z",
"appointmentStatus": "<string>",
"appointmentTitle": "<string>",
"appointmentType": "<string>",
"noteTemplateId": "<string>",
"provider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
},
"location": {
"id": "<string>",
"isVirtual": true,
"name": "<string>",
"addressLineOne": "<string>",
"addressLineTwo": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"country": "<string>",
"timezone": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"spakinectLocationId": "<string>",
"dosespotClinicId": "<string>",
"dosespotClinicKey": "<string>",
"externalId": "<string>",
"taxIdentificationNumber": "<string>"
}
}
],
"members": []
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Calendar and Appointments
Get Patients In Window
Patients with appointments whose start falls within
[now - minutes_before, now + minutes_after], grouped one row per patient.
Each patient’s appointment(s) carry their own provider/location/service.
Optional filters:
provider_id: only events where this provider is an attendee.location_id: only events at this location. When set, location is a strict filter.
Used by:
- Scribe note creation: “patients currently in an appointment with me”
(pass
provider_id). - Billing check-out: “ready-to-check-out queue at this front desk”
(pass
location_id).
GET
/
appointments
/
in-window
Get Patients In Window
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
⌘I
